<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= toolbar title: t(:label_project_list_plural) %>

<%= styled_form_tag(admin_settings_projects_path, method: :patch) do %>
  <fieldset class="form--fieldset">
    <div class="form--field -full-width">
      <div class="form--text-field-container -xwide">
        <%= angular_component_tag 'opce-draggable-autocompleter',
                                  inputs: {
                                    options: projects_columns_options,
                                    selected: selected_projects_columns_options,
                                    protected: protected_projects_columns_options,
                                    name: 'settings[enabled_projects_columns][]',
                                    id: 'settings_enabled_projects_columns',
                                    inputLabel: I18n.t(:'queries.configure_view.columns.input_label'),
                                    inputPlaceholder: I18n.t(:'queries.configure_view.columns.input_placeholder'),
                                    dragAreaLabel: I18n.t(:'queries.configure_view.columns.drag_area_label')
                                  }%>
      </div>
    </div>

    <div class="form--field -vertical">
      <div class="form--label -bold">
        <%= I18n.t(:setting_project_gantt_query) %>
      </div>
      <span class="form--field-container">
        <span class="form--text-field-container">
          <%= content_tag 'editable-query-props',
                          '',
                          data: {
                            name: 'settings[project_gantt_query]',
                            id: 'settings_project_gantt_query',
                            query: ::Projects::GanttQueryGeneratorService.current_query,
                            'url-params': 'true'
                          }
          %>
        </span>
      </span>
      <div class="form--field-instructions">
        <%= I18n.t(:setting_project_gantt_query_text) %>
      </div>
    </div>
  </fieldset>
  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
